webkit-0.12.3: Binding to the Webkit library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.WebKit.WebPolicyDecision

Contents

- Desciption
- Types
- Methods

Description

Access to the WebKit PolicyDecision

Synopsis

- data WebPolicyDecision
- class GObjectClass o => WebPolicyDecisionClass o
- webPolicyDecisionDownload :: WebPolicyDecisionClass self => self -> IO ()
- webPolicyDecisionIgnore :: WebPolicyDecisionClass self => self -> IO ()
- webPolicyDecisionUse :: WebPolicyDecisionClass self => self -> IO ()

# Desciption

`WebPolicyDecision` objects are given to the application on signal emissions that deal with policy decisions, such as if a new window should be opened, or if a given navigation should be allowed. The application uses it to tell the engine what to do.

# Types

data WebPolicyDecision Source

Instances

Eq WebPolicyDecision |
Ord WebPolicyDecision |
GObjectClass WebPolicyDecision |
WebPolicyDecisionClass WebPolicyDecision |

class GObjectClass o => WebPolicyDecisionClass o Source

Instances

WebPolicyDecisionClass WebPolicyDecision |

# Methods

webPolicyDecisionDownload :: WebPolicyDecisionClass self => self -> IO ()Source

Will send the DOWNLOAD decision to the policy implementer.

webPolicyDecisionIgnore :: WebPolicyDecisionClass self => self -> IO ()Source

Will send the IGNORE decision to the policy implementer.

webPolicyDecisionUse :: WebPolicyDecisionClass self => self -> IO ()Source

Will send the USE decision to the policy implementer.